/*CSS Reset*/
* {
	/*
		zeroes all margins and paddings of our elements. It is because by default, elements are being added with margins and paddings by browser
		box-sizing:  border-box; - is used to accurately measure our elements, so that padding and border are not added on the top of the element's width.
	*/
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/*class selector*/
.sample {
	height: 150px;
	width: 150px;
	border: 2px solid blue;
	background-color: green;
}

/*id selector*/
#box1 {
	height: 150px;
	width: 150px;
	padding: 50px;
	border: 2px solid black;
	background-color: orange;
	margin-right: 30px;
	display: inline-block;
	vertical-align: top;
	/*

	without box-sizing: border-box
		the exact width of element: 254px

		border and padding are added on the top of the width

		2px left border + 50px left padding + 150 content width + 50px right padding + 2px right border = 254px

	with box-sizing:  border-box;
		the exact width of element: 

		border and padding are included in the total width

		2px left border + 50px left padding + 46px content width + 50px right padding + 2px right border = 

		padding - space within an element
		margin - space outside of the element or outside of an element's border.

		display:  inline-block;
		- this property is used to display an element as an inline-level block container.
	
	in box-sizing, border and padding are onlu included, not the margin
	*/
}

#box2 {
	height: 150px;
	width: 150px;
	border: 2px solid red;
	padding: 50px;
	background-color: yellow;
	display: inline-block;
	vertical-align: top;
}